API Reference for Marketo Engage

Delete SalesPersons

POST /rest/v1/salespersons/delete.json

Deletes a list of salesperson records from the target instance. Input records should have only one member, based on the value of 'dedupeBy'.

Operation ID
deleteSalesPersonUsingPOST
Permissions
Read-Write Sales Person
Request format
application/json
Returns
ResponseOfSalesPerson

Request body

application/json · required · DeleteSalesPersonRequest · 8 properties

deleteBy string

Key to use for deletion of the record

input array of SalesPerson required

List of input records

Model SalesPerson

id integer (int64)

Unique integer id of the salesperson record

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

seq integer (int32)

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

status string

Status of the operation performed on the record

Values created updated deleted skipped added removed

Responses

200 OK ResponseOfSalesPerson
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of SalesPerson required

Array of results for individual records in the operation, may be empty

Model SalesPerson

id integer (int64)

Unique integer id of the salesperson record

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

seq integer (int32)

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

status string

Status of the operation performed on the record

Values created updated deleted skipped added removed

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123,
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results